org.glassfish.jersey.server

## Enum TracingConfig

- java.lang.Object
- - java.lang.Enum<TracingConfig>
  - - org.glassfish.jersey.server.TracingConfig

All Implemented Interfaces:
  Serializable, Comparable<TracingConfig>

    public enum TracingConfig
    extends Enum<TracingConfig>

Enumeration of possible values of property `ServerProperties.TRACING`.

Since:
  2.3
Author:
  Libor Kramolis

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALL` Tracing support is enabled for every request.
`OFF` Tracing support is completely disabled.
`ON_DEMAND` Tracing support is in stand-by mode.

### Method Summary

All Methods Static Methods Concrete Methods
`static TracingConfig` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TracingConfig[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OFF

    public static final TracingConfig OFF

Tracing support is completely disabled.

#### ON_DEMAND

    public static final TracingConfig ON_DEMAND

Tracing support is in stand-by mode. Waiting for a request header `TracingLogger.HEADER_ACCEPT` existence.

#### ALL

    public static final TracingConfig ALL

Tracing support is enabled for every request.

### Method Detail

#### values

    public static TracingConfig[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TracingConfig c : TracingConfig.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TracingConfig valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null